Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iplan
Class AutoTester

    java.lang.Object
      ix.iplan.AutoTester

    public class AutoTester

extends java.lang.Object

Runs a list of `PlanTest`s.

This class is based on parts of O-Plan.

See Also:
  `PlanCheckingSimulator`, `SanityChecker`

Nested Class Summary
`class` | `AutoTester.TestRunner` Conducts a plan-test.

Field Summary
`protected java.util.Map<PlanTest,java.lang.String>` | `failureReasons`
`protected java.util.Map<java.lang.String,PlanTestGroup>` | `nameToTestGroup`
`protected int` | `numberOfPlans`
`protected int` | `numberOfTests`
`protected boolean` | `planFromPlans`
`protected PlanTestDefaults` | `planTestDefaults`
`protected SlipStats` | `statSummary`
`protected java.lang.String` | `testDomain`
`protected boolean` | `toPlanAndBack`
`protected java.io.PrintStream` | `traceOut`

Constructor Summary
`AutoTester()`

Method Summary
`void` | `definePlanTestGroup(PlanTestGroup group)`
`PlanTestGroup` | `getPlanTestGroup(java.lang.String name)`
`static void` | `main(java.lang.String[] argv)`
`Slip` | `makeTestPlanner(PlanTest test)`
`java.util.List` | `readTestList(java.lang.String resourceName)`
`void` | `recordFailure(PlanTest failed, java.lang.String reason)`
`void` | `runTestList(java.util.List tests)`
`void` | `setPlanFromPlans(boolean v)`
`void` | `setPlanTestDefaults(PlanTestDefaults defaults)`
`void` | `setTestDomain(java.lang.String name)`
`void` | `testFailure(PlanTest failed, java.lang.String reason)`
`void` | `testLoop(java.util.List tests)`
`void` | `trace(java.lang.String message)`
`void` | `traceEnsureNL()`
`void` | `traceln(java.lang.String message)`
`void` | `traceln(java.lang.String message, java.lang.Object obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### traceOut

    protected java.io.PrintStream traceOut

### numberOfTests

    protected int numberOfTests

### numberOfPlans

    protected int numberOfPlans

### failureReasons

    protected java.util.Map<PlanTest,java.lang.String> failureReasons

### statSummary

    protected SlipStats statSummary

### planTestDefaults

    protected PlanTestDefaults planTestDefaults

### nameToTestGroup

    protected java.util.Map<java.lang.String,PlanTestGroup> nameToTestGroup

### planFromPlans

    protected boolean planFromPlans

### toPlanAndBack

    protected boolean toPlanAndBack

### testDomain

    protected java.lang.String testDomain

Constructor Detail

### AutoTester

    public AutoTester()

Method Detail

### main

    public static void main(java.lang.String[] argv)

### setPlanTestDefaults

    public void setPlanTestDefaults(PlanTestDefaults defaults)

### setPlanFromPlans

    public void setPlanFromPlans(boolean v)

### setTestDomain

    public void setTestDomain(java.lang.String name)

### definePlanTestGroup

    public void definePlanTestGroup(PlanTestGroup group)

### getPlanTestGroup

    public PlanTestGroup getPlanTestGroup(java.lang.String name)

### runTestList

    public void runTestList(java.util.List tests)

### testLoop

    public void testLoop(java.util.List tests)

### recordFailure

    public void recordFailure(PlanTest failed,
                              java.lang.String reason)

### trace

    public void trace(java.lang.String message)

### traceln

    public void traceln(java.lang.String message)

### traceln

    public void traceln(java.lang.String message,
                        java.lang.Object obj)

### traceEnsureNL

    public void traceEnsureNL()

### testFailure

    public void testFailure(PlanTest failed,
                            java.lang.String reason)

### readTestList

    public java.util.List readTestList(java.lang.String resourceName)

### makeTestPlanner

    public Slip makeTestPlanner(PlanTest test)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD